Returns the named image property

- « Imagick::getImageProperties

- Imagick::getImageRedPrimary »

- PHP Manual
- Imagick
- Returns the named image property

# Imagick::getImageProperty

(PECL imagick 2, PECL imagick 3)

Imagick::getImageProperty — Returns the named image property

### Description

public Imagick::getImageProperty(string `$name`): string

Returns the named image property. This method is available if Imagick has been compiled against ImageMagick version 6.3.2 or newer.

### Parameters

`name`

  name of the property (for example Exif:DateTime)

### Return Values

Returns a string containing the image property, false if a property with the given name does not exist.

### Examples

Example #1 Using Imagick::getImageProperty():

Setting and getting image property

    <?php
    $image = new Imagick();
    $image->newImage(300, 200, "black");

    $image->setImageProperty('Exif:Make', 'Imagick');
    echo $image->getImageProperty('Exif:Make');
    ?>

### See Also

- Imagick::setImageProperty() - Sets an image property